%global pypi_name docker

Name:           python-%{pypi_name}
Version:        5.0.3
Release:        %mkrel 2
Summary:        A Python library for the Docker Engine API
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/docker
Source0:        %{pypi_source}
# Prevent RPM from generating rich deps which urpmi doesn't support.
Patch0:         docker-setup-fix-autoreqs.patch
BuildArch:      noarch

%description
A Python library for the Docker Engine API.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pip)
Provides:       python3dist(docker[ssh]) = %{version}-%{release}
Provides:       python%{pyver}dist(docker[ssh]) = %{version}-%{release}
Obsoletes:      python3-docker-py < 3.6.0-3
Provides:       python3-docker-py = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python 3 library for the Docker Engine API.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 5.0.3-2.mga9
+ Revision: 1831968
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 joequant <joequant> 5.0.3-1.mga9
+ Revision: 1783514
- update to 5.0.3 - python 3.10

* Sun Apr 11 2021 joequant <joequant> 5.0.0-2.mga9
+ Revision: 1714715
- add ssh option to package
- revert bad checkin
- update and build

* Sat Apr 10 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1714474
- update to 5.0.0 / python 3.9

* Sat Nov 28 2020 guillomovitch <guillomovitch> 4.4.0-1.mga8
+ Revision: 1649930
- new version 4.4.0

* Sun Aug 30 2020 akien <akien> 4.3.1-2.mga8
+ Revision: 1620171
- Patch setup.py to prevent RPM from generating unnecessary rich deps

* Tue Aug 25 2020 bcornec <bcornec> 4.3.1-1.mga8
+ Revision: 1618976
- Update to upstream python-docker 4.3.1 needed by docker-compose

* Tue Jun 09 2020 joequant <joequant> 4.2.1-1.mga8
+ Revision: 1591246
- update to 4.2.1

* Sun Feb 16 2020 umeabot <umeabot> 4.0.2-2.mga8
+ Revision: 1533379
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 bcornec <bcornec> 4.0.2-1.mga8
+ Revision: 1437242
- update to upstream python-docker 4.0.2 and removes python2 build

* Tue Apr 23 2019 wally <wally> 3.7.2-2.mga7
+ Revision: 1395022
- obsolete python(2,3)-docker-py
  docker-py README.md states 'The latest stable version is available on PyPI (https://pypi.python.org/pypi/docker/)'

* Sun Apr 21 2019 wally <wally> 3.7.2-1.mga7
+ Revision: 1394364
- new version 3.7.2

* Tue Jan 08 2019 shlomif <shlomif> 3.6.0-1.mga7
+ Revision: 1352477
- Rebuild for python3 3.7

* Wed Oct 10 2018 bcornec <bcornec> 3.5.0-3.mga7
+ Revision: 1319253
- Update to upstream python-docker 3.5.0

* Thu Sep 20 2018 umeabot <umeabot> 3.1.1-3.mga7
+ Revision: 1288779
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 3.1.1-2.mga7
+ Revision: 1210503
- Use the new Python BR's (python[2,3]dist)

* Tue Mar 06 2018 bcornec <bcornec> 3.1.1-1.mga7
+ Revision: 1206957
- Update to upstream python-docker 3.1.1

* Tue Aug 08 2017 daviddavid <daviddavid> 2.4.2-1.mga7
+ Revision: 1138949
- new version: 2.4.2
- rename python-docker to python2-docker

* Sat Aug 05 2017 pterjan <pterjan> 2.2.1-3.mga7
+ Revision: 1135395
- Rebuild for python 3.6

* Mon May 22 2017 philippem <philippem> 2.2.1-2.mga6
+ Revision: 1104120
- fix python3 egg dependencies

* Tue May 16 2017 neoclust <neoclust> 2.2.1-1.mga6
+ Revision: 1101937
- imported package python-docker

